Bug 257319 - devel/notcurses: Update to 2.3.11
Summary: devel/notcurses: Update to 2.3.11
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Xin LI
URL: https://github.com/dankamongmen/notcu...
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2021-07-21 21:11 UTC by Nick Black
Modified: 2021-07-22 18:07 UTC (History)
1 user (show)

See Also:
koobs: merge-quarterly?


Attachments
git diff 2.3.8 -> 2.3.11 (1.32 KB, patch)
2021-07-21 21:11 UTC, Nick Black
nickblack: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Black 2021-07-21 21:11:14 UTC
Created attachment 226596 [details]
git diff 2.3.8 -> 2.3.11

Lots of bugfixes around systems lacking full Unicode 13 support, including FreeBSD. notcurses-info now runs properly on my FreeBSD 13.0 VM. Bugfixes relative to 2.3.8 include menu highlighting working again, the restoration of the 8x1 plotter, and a handler for SIGFPE along with the other fatal signals long handled. `XTPOPCOLORS` and `XTPUSHCOLORS` are now used to preserve the palette.

https://github.com/dankamongmen/notcurses/releases/tag/v2.3.11
https://github.com/dankamongmen/notcurses/releases/tag/v2.3.10
https://github.com/dankamongmen/notcurses/releases/tag/v2.3.9
Comment 1 Nick Black 2021-07-21 21:13:36 UTC
by the way, Notcurses now depends on zlib, but it seems I don't need an explicit depends on that (from what I could tell)?
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2021-07-22 02:09:16 UTC
^Triage: Bugfix release, set merge-quarterly (to ?) accordingly:

  MFH: 2020Q3 (multiple bugfix releases)
Comment 3 Nick Black 2021-07-22 02:13:27 UTC
I notice that even though 2.3.8 went in recently, I'm still getting a lot of mails of this form:

Subject: [package - 114amd64-quarterly][devel/notcurses] Failed for notcurses-2.3.6 in build            
                                                                                                        
You are receiving this mail as a port that you maintain                                                 
is failing to build on the FreeBSD package build server.                                                
Please investigate the failure and submit a PR to fix                                                   
build.                                                                                                  
                                                                                                        
Maintainer:     nickblack@linux.com                                                                     
Log URL:                                                                                                
http://beefy3.nyi.freebsd.org/data/114amd64-quarterly/31400d488c55/logs/notcurses-2.3.6.log             
Build URL:                                                                                              
http://beefy3.nyi.freebsd.org/build.html?mastername=114amd64-quarterly&build=31400d488c55               
Log:                                                                                                    
                                                                                                        
=>> Building devel/notcurses                                                                            
build started at Thu Jul 22 01:23:58 UTC 2021                                                           
port directory: /usr/ports/devel/notcurses                                                              
package name: notcurses-2.3.6                                                                           
building for: FreeBSD 114amd64-quarterly-job-13 11.4-RELEASE-p12 FreeBSD 11.4-RELEASE-p12 amd64         
maintained by: nickblack@linux.com                                                                      
Makefile ident:                                                                                         
Poudriere version: 3.2.8-8-gaf08dbda                                                                    
Host OSVERSION: 1400008                                                                                 
Jail OSVERSION: 1104001                                                                                 
Job Id: 13                                                                                              
                                                                                                        
---Begin Environment---        


do i need to do something to bring that environment up to date? thanks!
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2021-07-22 02:18:56 UTC
(In reply to Nick Black from comment #3)

Could you include the penultimate error message(s) from those logs as an attachment please Nick. Thanks!
Comment 5 commit-hook freebsd_committer 2021-07-22 18:04:17 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=46af59722e9cf78fa9bee6f07b619902eb86c91a

commit 46af59722e9cf78fa9bee6f07b619902eb86c91a
Author:     Nick Black <nickblack@linux.com>
AuthorDate: 2021-07-22 18:03:11 +0000
Commit:     Xin LI <delphij@FreeBSD.org>
CommitDate: 2021-07-22 18:03:12 +0000

    devel/notcurses: Update to 2.3.11

    PR:             ports/257319
    MFH:            2021Q3

 devel/notcurses/Makefile |  2 +-
 devel/notcurses/distinfo | 10 +++++-----
 2 files changed, 6 insertions(+), 6 deletions(-)
Comment 6 Xin LI freebsd_committer 2021-07-22 18:06:49 UTC
Committed, thanks!
Comment 7 commit-hook freebsd_committer 2021-07-22 18:07:19 UTC
A commit in branch 2021Q3 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=3d6c439d69f6c1f3ee44f4d548a77a897bec7914

commit 3d6c439d69f6c1f3ee44f4d548a77a897bec7914
Author:     Nick Black <nickblack@linux.com>
AuthorDate: 2021-07-14 12:17:38 +0000
Commit:     Xin LI <delphij@FreeBSD.org>
CommitDate: 2021-07-22 18:06:00 +0000

    devel/notcurses: update the port to version 2.3.8.

    PR:     256964
    (cherry picked from commit 88de9d949b0ff38bcbb78f68daa9b8cd9306dd9a)

    devel/notcurses: Update to 2.3.11

    PR:             ports/257319
    MFH:            2021Q3
    (cherry picked from commit 46af59722e9cf78fa9bee6f07b619902eb86c91a)

 devel/notcurses/Makefile  |  2 +-
 devel/notcurses/distinfo  | 10 +++++-----
 devel/notcurses/pkg-plist |  1 +
 3 files changed, 7 insertions(+), 6 deletions(-)